Subject: bug#49518: 28.0.50; electric-pair-mode skip-self fails for single-quotes in python-mode

From: João Távora <[email-masked]>
Date: Sun, 19 Sep 2021 00:43:48 +0100

Jim Porter <[email-masked]> writes:

> (CCing João since he wanted to hear about `electric-pair-mode' issues[1].)

Thanks you Jim,

I've read your original bug report.  It is very clear in reproduction
and also the analysis seems mostly correct.  I'll see what I can do.

The solution will probably go into python.el in terms of customization
of electric-pair-mode's variables.  The only question is whether it can
be made to serve Stephen's and your requirements.

In the meantime, if you're curious: this was one of the first things I
worked in with autopair.el. See
https://github.com/joaotavora/autopair/issues/6.

João